Debian Bug report logs - #271406
bridge-utils: set the HWaddr via interfaces

version graph

Package: bridge-utils; Maintainer for bridge-utils is Santiago Garcia Mantinan <manty@debian.org>; Source for bridge-utils is src:bridge-utils.

Reported by: jgmbenoit@wanadoo.fr

Date: Mon, 13 Sep 2004 01:48:02 UTC

Severity: normal

Found in version 1.0.4

Fixed in version bridge-utils/1.1-1

Done: Santiago García Mantiñán <manty@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Garcia Mantinan <manty@debian.org>:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to jgmbenoit@wanadoo.fr:
New Bug report received and forwarded. Copy sent to Santiago Garcia Mantinan <manty@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <jgmbenoit@wanadoo.fr>
To: submit@bugs.debian.org
Subject: bridge-utils: set the HWaddr via interfaces
Date: Mon, 13 Sep 2004 03:39:42 +0200
Package: bridge-utils
Version: 1.0.4
Justification: package is unusable on 2.4 kernel systems

Hello,

is it possible to implement a bridge_hw like command
to be able to set the HardWare ADDRess of the bridge
via the ifupdown mechanism ?

hth,
Jerome





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: jgmbenoit@wanadoo.fr, 271406@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#271406: bridge-utils: set the HWaddr via interfaces
Date: Wed, 15 Sep 2004 18:07:37 +0200
Hi!

> Justification: package is unusable on 2.4 kernel systems

Can you explain why you say that package is unusable in 2.4?

> is it possible to implement a bridge_hw like command
> to be able to set the HardWare ADDRess of the bridge
> via the ifupdown mechanism ?

Well, I believe that if you want this implemented you should look at having
it implemented for any kind of interface, not just bridges, so I guess it is
not in bridge-utils where you should be looking to implement this.

One more thing, the usual way to asign the hw address of an interface is via
ifconfig IFACE hw ether MAC
but this doesn't seem to be allowed by bridges, also I don't see how to
asign the address using brctl, so I don't know how you suppose one could
implement such a thing for bridges on ifupdown.

Maybe I'm missing something here, if so, just tell me.

Regards...
-- 
Manty/BestiaTester -> http://manty.net



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Garcia Mantinan <manty@debian.org>:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to jgmbenoit@wanadoo.fr:
Extra info received and forwarded to list. Copy sent to Santiago Garcia Mantinan <manty@debian.org>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <jgmbenoit@wanadoo.fr>
Cc: 271406@bugs.debian.org, submit@bugs.debian.org
Subject: Re: Bug#271406: bridge-utils: set the HWaddr via interfaces
Date: Wed, 15 Sep 2004 20:13:52 +0200
Hello,

Santiago Garcia Mantinan wrote:
> Hi!
> 
> 
>>Justification: package is unusable on 2.4 kernel systems

I thought I deleted this part of the pasted part ;-)

> 
> 
> Can you explain why you say that package is unusable in 2.4?
> 
> 
>>is it possible to implement a bridge_hw like command
>>to be able to set the HardWare ADDRess of the bridge
>>via the ifupdown mechanism ?
> 
> 
> Well, I believe that if you want this implemented you should look at having
> it implemented for any kind of interface, not just bridges, so I guess it is
> not in bridge-utils where you should be looking to implement this.
> 
> One more thing, the usual way to asign the hw address of an interface is via
> ifconfig IFACE hw ether MAC
> but this doesn't seem to be allowed by bridges, also I don't see how to
> asign the address using brctl, so I don't know how you suppose one could
> implement such a thing for bridges on ifupdown.
> 
> Maybe I'm missing something here, if so, just tell me.
> 

The idea is to set the hw address MAC to the interfaces being bridged:

for i in $INTERFACES
do
ifconfig $i hw $IF_BRIDGE_HW
done


Thanks,
Jerome



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Garcia Mantinan <manty@debian.org>:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to jgmbenoit@wanadoo.fr:
Extra info received and forwarded to list. Copy sent to Santiago Garcia Mantinan <manty@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 271406@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: jgmbenoit@wanadoo.fr, 271406@bugs.debian.org
Subject: Re: Bug#271406: bridge-utils: set the HWaddr via interfaces
Date: Thu, 16 Sep 2004 01:50:47 +0200
> The idea is to set the hw address MAC to the interfaces being bridged:
> 
> for i in $INTERFACES
> do
> ifconfig $i hw $IF_BRIDGE_HW
> done

Ah, so you want to set the mac of the bridge interface to all the interfaces
that form it, what's the benefit of this?

I see a problem with this, the bridge takes its mac from the lower mac of
all the interfaces that form the bridge, and the bridge changes its mac if
that interface is detached from the bridge, taking then the next lower one.

Maybe you are trying to avoid this MAC changes, I don't see any other
benefit, please tell me if you find it interesting for other things.

I can see this being problematic, for example:

-If you have all interfaces with the bridge mac and then you detach one of
them, you'll get the bridge and the now autonomous interface with the same
mac, which can then cause you trouble.

-Having all the interfaces with the same mac can cause troubles in the STP
protocol (all the bridge STP packages would have the same mac address), I
think that STP would then be useless, it would not detect loops, ...

And it is not as easy to implement as one may think... I mean, you have to
set the MAC of the interfaces when the interfaces are down, and then, what
address to you give them all if they are still down and have not been
atached to the bridge, so I should attach them to the bridge while they are
down and then see what address the bridge takes and then set it to every
interface, but still I'd have at least the couple of problems I have
mentioned earlier...

Ummm, is this really worth it?
Won't the users get into troubles such that it is not worth to implement
this weird option?

It is not that I'm not willing to implement this, but you'd have to convince
me that this is worth it, I really don't see it clear at all.

Regards...
-- 
Manty/BestiaTester -> http://manty.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Garcia Mantinan <manty@debian.org>:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to jgmbenoit@wanadoo.fr:
Extra info received and forwarded to list. Copy sent to Santiago Garcia Mantinan <manty@debian.org>. Full text and rfc822 format available.

Message #35 received at 271406@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <jgmbenoit@wanadoo.fr>
Cc: 271406@bugs.debian.org
Subject: Re: Bug#271406: bridge-utils: set the HWaddr via interfaces
Date: Thu, 16 Sep 2004 03:08:55 +0200

Santiago Garcia Mantinan wrote:
>>The idea is to set the hw address MAC to the interfaces being bridged:
>>
>>for i in $INTERFACES
>>do
>>ifconfig $i hw $IF_BRIDGE_HW
>>done
> 
> 
> Ah, so you want to set the mac of the bridge interface to all the interfaces
> that form it, what's the benefit of this?
> 
> I see a problem with this, the bridge takes its mac from the lower mac of
> all the interfaces that form the bridge, and the bridge changes its mac if
> that interface is detached from the bridge, taking then the next lower one.
> 
> Maybe you are trying to avoid this MAC changes, I don't see any other
> benefit, please tell me if you find it interesting for other things.
> 
> I can see this being problematic, for example:
> 
> -If you have all interfaces with the bridge mac and then you detach one of
> them, you'll get the bridge and the now autonomous interface with the same
> mac, which can then cause you trouble.
> 
> -Having all the interfaces with the same mac can cause troubles in the STP
> protocol (all the bridge STP packages would have the same mac address), I
> think that STP would then be useless, it would not detect loops, ...
> 
> And it is not as easy to implement as one may think... I mean, you have to
> set the MAC of the interfaces when the interfaces are down, and then, what
> address to you give them all if they are still down and have not been
> atached to the bridge, so I should attach them to the bridge while they are
> down and then see what address the bridge takes and then set it to every
> interface, but still I'd have at least the couple of problems I have
> mentioned earlier...
> 
> Ummm, is this really worth it?
> Won't the users get into troubles such that it is not worth to implement
> this weird option?
> 
> It is not that I'm not willing to implement this, but you'd have to convince
> me that this is worth it, I really don't see it clear at all.

I guess that I cannot convince you as I am not an expert.
I tried to install my first bridge a few days ago on my laptop
(eth0 + wlan0): by googling, I got some samples on how to procede:
one of them suggest to set the involved interfaces to the same MAC 
address. As it works well on my tiny computer, I was surpprised not to 
see a bridge_hw like command (that I naively implemented), hence my 
naive suggestion. To be frank, I have tried to reproduce it on a desktop 
computer, but here I went into troubles: I understand why now.

I am sorry my naive suugestion.

Thanks,
Jerome


> 
> Regards...



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #40 received at 271406@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: jgmbenoit@wanadoo.fr, 271406@bugs.debian.org
Subject: Re: Bug#271406: bridge-utils: set the HWaddr via interfaces
Date: Thu, 16 Sep 2004 23:48:59 +0200
> I guess that I cannot convince you as I am not an expert.
> I tried to install my first bridge a few days ago on my laptop
> (eth0 + wlan0): by googling, I got some samples on how to procede:
> one of them suggest to set the involved interfaces to the same MAC 
> address. As it works well on my tiny computer, I was surpprised not to 
> see a bridge_hw like command (that I naively implemented), hence my 
> naive suggestion. To be frank, I have tried to reproduce it on a desktop 
> computer, but here I went into troubles: I understand why now.
> 
> I am sorry my naive suugestion.

I didn't mean to say your sugestion was naive or anything similar, I'm just
wondering why to set that.

I'm speculating now that in the case of a wireless bridge where the wireless
is configured as master it may be usefull, because in wifi the masters (APs)
drop packages whose macs don't correspond with what typical wireless
communications are, could this be the case?

In any way, I believe this is so specific, that it should be implemented by
the user, if you give me doc I can read about this maybe we can add an
example in the package doc.

Regards...
-- 
Manty/BestiaTester -> http://manty.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Garcia Mantinan <manty@debian.org>:
Bug#271406; Package bridge-utils. Full text and rfc822 format available.

Acknowledgement sent to jgmbenoit@wanadoo.fr:
Extra info received and forwarded to list. Copy sent to Santiago Garcia Mantinan <manty@debian.org>. Full text and rfc822 format available.

Message #45 received at 271406@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <jgmbenoit@wanadoo.fr>
Cc: 271406@bugs.debian.org
Subject: Re: Bug#271406: bridge-utils: set the HWaddr via interfaces
Date: Fri, 17 Sep 2004 04:15:05 +0200
[Message part 1 (text/plain, inline)]
Hello,

Santiago Garcia Mantinan wrote:
>>I guess that I cannot convince you as I am not an expert.
>>I tried to install my first bridge a few days ago on my laptop
>>(eth0 + wlan0): by googling, I got some samples on how to procede:
>>one of them suggest to set the involved interfaces to the same MAC 
>>address. As it works well on my tiny computer, I was surpprised not to 
>>see a bridge_hw like command (that I naively implemented), hence my 
>>naive suggestion. To be frank, I have tried to reproduce it on a desktop 
>>computer, but here I went into troubles: I understand why now.
>>
>>I am sorry my naive suugestion.
> 
> 
> I didn't mean to say your sugestion was naive or anything similar, I'm just
> wondering why to set that.

Inded,
it was just my thought
> 
> I'm speculating now that in the case of a wireless bridge where the wireless
> is configured as master it may be usefull, because in wifi the masters (APs)
> drop packages whose macs don't correspond with what typical wireless
> communications are, could this be the case?
> 
I am not expert enough to give you a right answer:
what I can say is that I am using two wireless ifaces running with
the ndiswrapper driver, and according to a message NDIS stuff does not 
support promicuous mode.

> In any way, I believe this is so specific, that it should be implemented by
> the user, if you give me doc I can read about this maybe we can add an
> example in the package doc.
> 
please find attached a document "Bridging" googled on the web and that 
used to build my eth0-wlan0 bridge.
Concerning comments in the package doc,
for users using plug stuff (e.g., laptop users) the `ifplugd' package 
may be useful (see the attached document "SettingUpABridge"):
as a matter of fact in my `/etc/network/if-pre-up.d/bridge' script
the INTERFACES list is filtered to know if the involved iface is plugged 
or not by using the executable ifplugstatus:

if [ -x /usr/sbin/ifplugstatus ]
then
  INTERFACES=""
  for i in $BRIDGE_PORTS
    do
      /usr/sbin/ifplugstatus -q $i
      if [ "$?" == "2" ]
      then
        INTERFACES="$INTERFACES $i"
      fi
   done
else
  INTERFACES=$BRIDGE_PORTS
fi

This must be improved as for wireless ifaces waht is relevant is to be 
associated.

hth,
Jerome

[Bridging.html (text/html, inline)]
[SettingUpABridge.html (text/html, inline)]

Reply sent to Santiago García Mantiñán <manty@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jgmbenoit@wanadoo.fr:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 271406-close@bugs.debian.org (full text, mbox):

From: Santiago García Mantiñán <manty@debian.org>
To: 271406-close@bugs.debian.org
Subject: Bug#271406: fixed in bridge-utils 1.1-1
Date: Tue, 07 Feb 2006 14:47:12 -0800
Source: bridge-utils
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
bridge-utils, which is due to be installed in the Debian FTP archive:

bridge-utils_1.1-1.diff.gz
  to pool/main/b/bridge-utils/bridge-utils_1.1-1.diff.gz
bridge-utils_1.1-1.dsc
  to pool/main/b/bridge-utils/bridge-utils_1.1-1.dsc
bridge-utils_1.1-1_i386.deb
  to pool/main/b/bridge-utils/bridge-utils_1.1-1_i386.deb
bridge-utils_1.1.orig.tar.gz
  to pool/main/b/bridge-utils/bridge-utils_1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 271406@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago García Mantiñán <manty@debian.org> (supplier of updated bridge-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  7 Feb 2006 19:15:56 +0100
Source: bridge-utils
Binary: bridge-utils
Architecture: source i386
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Santiago García Mantiñán <manty@debian.org>
Changed-By: Santiago García Mantiñán <manty@debian.org>
Description: 
 bridge-utils - Utilities for configuring the Linux ethernet bridge
Closes: 271406 347634 348617 348946
Changes: 
 bridge-utils (1.1-1) unstable; urgency=low
 .
   * New upstream version.
   * Uses libsysfs2. Closes: #347634.
   * Added an example of an anonymous bridge (thanks to M.Biebl for
     the idea). Closes: #348946.
   * Changed the message for ENODEV. Closes: #348617.
   * Added the bridge_hw config option (thanks to Jerome for the idea).
     See the README for a full explanation on this. Closes: #271406.
Files: 
 d0f35f47c237e7f82b8a348108f9d463 612 net optional bridge-utils_1.1-1.dsc
 035d924f5ef731402e9f7e4b1e7cd2c8 71656 net optional bridge-utils_1.1.orig.tar.gz
 bf557c7f03813881e6c43c42de1523f9 9592 net optional bridge-utils_1.1-1.diff.gz
 754fc312da59ae18631048b97e76d0ea 28328 net optional bridge-utils_1.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD6SKpcv3CBfajKo4RAgQ1AKDdzq70mDXiy92fNTBMCu3doWhmOQCffIjf
pu3XiXkPBWB53vfl9lgOSho=
=uZaC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 11:14:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:08:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.